#!/bin/sh
#
#	installpackages.sh
#
#	Author:	Tim Niiler
#	Date:	March 11, 2004
#	License: GPL
#
#	Purpose: This script is, in the spirit of the EZInstaller program,
#		a drop-in install script that does the work of installing the
#		the specified packages.  Obtaining the packages is done
#		via the wget command issued as a system call from ezinstaller.
#		
#		This script therefore expects to find the packages to install
#		in the packages directory and reads a list of the files to
#		install from current_packages.txt.
#
#		In the interest in ultimately being platform independent,
#		current_packages.txt may contain a list of any type of package
#		rpm, deb, or our favorite: tgz.  It is this script that does
#		the install. 
#
#		For those of you who love rpms or debs, time to get crackin'!
#		I anticipate that you would want to use a switch statement
#		depending on the file extension and then use the appropriate
#		installation mechanism.
#
#		Again, I have this particular stuff out of the ezinstaller C
#		code so that your level of expertise in modifying the installation
#		routine does not have to be that high and so that this can be
#		more easily distro independent.
#
#		PS - this file must be run as root, therefore it's called from 
#		a wrapper: xinstallpackages.sh

echo "Checking to see if packages need to be removed..."
if [ -e removed_packages.txt ]; then
	packages=$( cat removed_packages.txt )
	for i in $packages
	do
		echo $i
		removepkg $i
	done
	rm removed_packages.txt
fi

echo
echo "OK"
echo

echo "Getting list of packages to be installed..."
packages=$( cat current_packages.txt )
for i in $packages 
do 
	echo $i
	installpkg packages/$i
done

echo "OK done"

